Subject: Re: [bug#54021] [PATCH] Add rhino javascript package
From: Julien Lepiller <[email-masked]>
To: Frank Pursel <[email-masked]>
Cc: [email-masked]
Date: Tue, 1 Mar 2022 22:26:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the answer (I didn't spot your message immediately because
you renamed the subject). I suppose this is good for now, especially
since I need a version of rhino for kotlin, which I need for gradle,
which we would need for future versions of rhino :)

Pushed to master as 22525731fdbfeebfc51d17dc6674a92d75383213, thanks!

Le Mon, 28 Feb 2022 13:45:58 -0800,
Frank Pursel <[email-masked]> a écrit :

> Julien,
> 
> I missed the JavaScript in the synopsis, my fault; I did get the one
> in the description.
> 
> Why the older version?  A couple of reasons.  First, is that I'm
> trying to address the problems that have been pointed out with my
> earlier patches for a ditaa package.  'ditaa' has a sequence of
> dependencies that lead to the version of rhino I've packaged.  I
> looked at the latest version too (because that would certainly be a
> good thing) but newer releases of rhino have transitioned to the
> gradle build system.  I have experience with ant that I can use but
> none, yet, with gradle.  Plus, and this may be naive, I thought it
> might be a good experiment (perhaps even better for guix) to see if a
> guix transformation based on this ant build could build one of the
> later rhino versions that otherwise would require gradle.  I may
> pursue such experiments later after I achieve my first goal, which is
> to package ditaa.  I also think there is a risk that the latest
> version of rhino will not work with ditaa as the one we are packaging
> does.
> 
> If I can suceed with rhino and my more recent submission of xalan
> then I will have a clean build of batik that will allow ditaa to be
> built properly using only guix quality, built-from-source, libraries.
>  That is my current small guix ambition.    
> 
> Regards,
> Frank
> 
> 
> 
> 
>